************************************************************************
*  Routine to write out the STDHEP common block to output_unit         *
************************************************************************
      subroutine write_stdhep(output_unit)
#include "mcfm/../src/Inc/stdhep.F"
      integer n,output_unit

c--- write event number and number of entries in this record      
      write(output_unit,78) nevhep,nhep
      
c--- write out all the information for each particle
      do n=1,nhep
        write(output_unit,79) n,isthep(n),idhep(n),
     .   jmohep(1,n),jmohep(2,n),jdahep(1,n),jdahep(2,n),
     .    phep(1,n),phep(2,n),phep(3,n),phep(4,n),phep(5,n),
     .    vhep(1,n),vhep(2,n),vhep(3,n),vhep(4,n)
      enddo
      
      return
      
   78 format(2i8)
   79 format(2i3,i4,4i3,9f12.5) 
      
      end
      
      
