      double complex function qedipm(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
c      double complex d3,d4,d5,d6
c      double precision s245,s267,s2345,s2367
c      double complex t2
c#include "mcfm/../src/Inc/prods.F"
      double complex d1pm,d2pm,d3pm,d4pm,d5pm,d6pm
      qedipm=
     & +d1pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d2pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d3pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d4pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d5pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d6pm(j1,j2,j3,j4,j5,j6,j7,jb)


      return
      end

      double complex function qedimm(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
c      double complex d1,d2,d3,d4
c      double precision s245,s267,s2345,s2367
c      double complex t2
c#include "mcfm/../src/Inc/prods.F"
      double complex d1mm,d2mm,d3mm,d4mm,d5mm,d6mm
      qedimm=
     & +d1mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d2mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d3mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d4mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d5mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d6mm(j1,j2,j3,j4,j5,j6,j7,jb)
      return
      end


      double complex function qedimp(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
      double complex d1mp,d2mp,d3mp,d4mp,d5mp,d6mp
      qedimp=
     & +d1mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d2mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d3mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d4mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d5mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d6mp(j1,j2,j3,j4,j5,j6,j7,jb)

      return
      end

      double complex function qedipp(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
      double complex d1pp,d2pp,d3pp,d4pp,d5pp,d6pp
      qedipp=
     & +d1pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d2pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d3pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d4pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d5pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d6pp(j1,j2,j3,j4,j5,j6,j7,jb)

      return
      end


      double complex function qedfpm(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
      double complex d9pm,d10pm,d11pm,d12pm
c      double complex d9,d10,d11,d12
c      double precision s345,s267,s2345
c      double complex t2
c#include "mcfm/../src/Inc/prods.F"
      qedfpm=
     & +d9pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d10pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d11pm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d12pm(j1,j2,j3,j4,j5,j6,j7,jb)

      return
      end


      double complex function qedfpp(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
      double complex d9pp,d10pp,d11pp,d12pp
      qedfpp=
     & +d9pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d10pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d11pp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d12pp(j1,j2,j3,j4,j5,j6,j7,jb)
      return
      end


      double complex function qedfmp(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
      double complex d9mp,d10mp,d11mp,d12mp
      qedfmp=
     & +d9mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d10mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d11mp(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d12mp(j1,j2,j3,j4,j5,j6,j7,jb)
      return
      end


      double complex function qedfmm(j1,j2,j3,j4,j5,j6,j7,jb)
      implicit none
#include "mcfm/../src/Inc/constants.F"
      integer j1,j2,j3,j4,j5,j6,j7,jb
      double complex d9mm,d10mm,d11mm,d12mm
      qedfmm=
     & +d9mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d10mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d11mm(j1,j2,j3,j4,j5,j6,j7,jb)
     & +d12mm(j1,j2,j3,j4,j5,j6,j7,jb)

      return
      end

